summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorViresh Kumar <viresh.kumar@linaro.org>2014-02-14 14:14:17 +0530
committerFathi Boudra <fathi.boudra@linaro.org>2014-02-14 11:49:56 +0000
commitd571d71edce38d16c2ddfa54d7768cfe712f264a (patch)
tree54f4759d3f8f8a1b66d3f36dae74a77ab00d76f6
parent9ff1126e0a0569b3a348b7d4db4026960345a5af (diff)
is-cpu-isolated: Check again if stress is already completed or not
We might not see infinite isolation on the first time and so need to check it everytime. Lets do it. Change-Id: Ic00d4e642e2a86ec7bd062af5b0964ad398d9d71 Signed-off-by: Viresh Kumar <viresh.kumar@linaro.org>
-rwxr-xr-xcommon/scripts/is-cpu-isolated.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/common/scripts/is-cpu-isolated.sh b/common/scripts/is-cpu-isolated.sh
index 5c85546..e5c033e 100755
--- a/common/scripts/is-cpu-isolated.sh
+++ b/common/scripts/is-cpu-isolated.sh
@@ -85,9 +85,18 @@ get_isolation_duration() {
new_count=$old_count
+ T2="$(date +%s)"
while [ $new_count -eq $old_count ]
do
new_count=$(get_tick_count)
+ ps h -C stress -o pid > /dev/null
+ if [ $? != 0 ]; then
+ T=$(($(date +%s)-$T2))
+ echo "Tick didn't got updated for stress duration:" $T
+ echo "Probably in infinite mode, quiting test"
+ echo "test_case_id:Min-isolation "$MIN_ISOLATION" secs result:PASS measurement:"$T" units:secs"
+ exit
+ fi
done
isdebug echo "sampling over: " $new_count